# Created by pyp2rpm-3.3.10
%global pypi_name pytest-mypy-testing

Name:           python-%{pypi_name}
Version:        0.1.3
Release:        %mkrel 2
Summary:        Pytest plugin to check mypy output
Group:          Development/Python
License:        None
URL:            https://github.com/davidfritzsche/pytest-mypy-testing
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
pytest-mypy-testing provides a pytest plugin to test that mypy produces a given
output. As mypy can be told to display the type of an expression this allows us
to check mypys type interference.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pytest-mypy-testing provides a pytest plugin to test that mypy produces a given
output. As mypy can be told to display the type of an expression this allows us
to check mypys type interference.


%prep
%autosetup -n %{pypi_name}-%{version}

sed -i -e 's/dflit_core/flit_core/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_mypy_testing

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1.3-2.mga10
+ Revision: 2237663
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 0.1.3-1.mga10
+ Revision: 2153754
- new version: 0.1.3
- rebuild for python 3.13

* Mon Dec 25 2023 wally <wally> 0.1.1-1.mga10
+ Revision: 2021415
- imported package python-pytest-mypy-testing

